apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: documentations-filestream
  namespace: documentations

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3
  driftDetection:
    mode: enabled

  values:
    global:
      env: _default

    services:
      backend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/documentations-api-files:prod_5904312b
          pullPolicy:
            _default: IfNotPresent


        deployment:
          enabled: true

          name:
            _default: documentations-filestream

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 8080

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: documentations-filestream

          type:
            _default: ClusterIP

          port:
            _default: 8080

          targetPort:
            _default: 8080

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
        volumes:
          _default:
            - name: documentations-yc-s3-secret
              mountPath:
                _default: /etc/sarex/yc-s3-storage
              readOnly:
                _default: true
              secret:
                secretName:
                  _default: documentations-yc-s3

        labels:
          monitoring: prometheus
        envs:
          - name: POSTGRES_ADDRESS
            value:
              _default: "192.168.2.45"

          - name: POSTGRES_PORT
            value:
              _default: "5432"

          - name: POSTGRES_DB
            value:
              _default: "documentations"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "20"

          - name: FLOWS_URL
            value:
              _default: "http://backend-service.flows.svc.cluster.local:8000"

          - name: LAST_MASTER_BIM
            value:
              _default: "36311"

          - name: API_ADDRESS
            value:
              _default: "0.0.0.0:8080"
          
          - name: VALKEY_PORT
            value:
              _default: "6379"
          
          - name: VALKEY_ADDR
            value:
              _default: "redis:6379"
          
          - name: VALKEY_HOST
            value:
              _default: "redis"

          - name: API_ADDRESS_FILE
            value:
              _default: "0.0.0.0:8080"

          - name: DOCUMENT_PUBLIC_LINK_JWT_EXPIRATION_MINUTES
            value:
              _default: "5"

          - name: ENABLE_SQL_QUERY
            value:
              _default: "0"

          - name: ENABLE_SSL
            value:
              _default: "0"

          - name: WORKSPACE_V2_EXTERNAL_URL
            value:
              _default: "https://test.sarex.brusnika.tech/workspaces-v2/"

          - name: ENABLE_S3
            value:
              _default: "1"

          - name: CONTAINER_REGISTRY
            value:
              _default: "cr.yandex/crp3ccidau046kdj8g9q"

          - name: ENVIRONMENT
            value:
              _default: "production"

          - name: HOST
            value:
              _default: "http://documentations-api.documentations.svc.cluster.local:8080"

          - name: FILE_STREAM_HOST
            value:
              _default: "cde.brusnika.lonsdaleites.ru"

          - name: DOCUMENTATION_URL
            value:
              _default: "http://documentations-api.documentations.svc.cluster.local:8080/"

          - name: WORKFLOW_URL
            value:
              _default: "http://workflows-api-service.workflow.svc.cluster.local:8000/"

          - name: WORKSPACE_URL
            value:
              _default: "http://workspaces-service.workspaces.svc.cluster.local:8000/"

          - name: BIM_API_URL
            value:
              _default: "http://bim-api-service.bim.svc.cluster.local:8080/"

          - name: BIM_API_V2_URL
            value:
              _default: "http://backend-service.bim.svc.cluster.local:8000/"

          - name: WORKSPACE_BUNDLE_VERSION
            value:
              _default: "v1"

          - name: SYSTEM_LOG_URL
            value:
              _default: "http://api-service.system-log.svc.cluster.local:80"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: MARKS_PROCESSING_URL
            value:
              _default: "http://marks-service:8000"

          - name: PUBLIC_LINK_HOST
            value:
              _default: "https://document-link.test.sarex.brusnika.tech"

          - name: NAMESPACE
            value:
              _default: "documentations"

          - name: DJANGO_ORIGINATOR
            value:
              _default: "docs_prod"

          - name: WORKFLOW_IMAGES_VERSION
            value:
              _default: "master"

          - name: WORKFLOWS_IMAGES_VERSION
            value:
              _default: "master"

          - name: S3_SERVICE_ACCOUNT
            value:
              _default: "/etc/sarex/yc-s3-storage/yc-s3-service-account.json"

          - name: READ_WRITE_TIMEOUT_FILE_STREAM
            value:
              _default: "6h"

          - name: CACHE_DEFAULT_EXPIRATION
            value:
              _default: "60s"

          - name: CACHE_CLEANUP_INTERVAL
            value:
              _default: "60s"

          - name: USE_CACHE_IN_FILE_STREAMER
            value:
              _default: "1"
        secretEnvs:
          - name: PUBLIC_KEY
            secretName:
              _default: "public-key"
            secretKey: "key"

          - name: DOCUMENT_PUBLIC_LINK_JWT_SECRET
            secretName:
              _default: "yc-jwt-secret"
            secretKey: "secret"

          - name: POSTGRES_USER
            secretName:
              _default: "postgres-secret"
            secretKey: "username"

          - name: POSTGRES_PASSWORD
            secretName:
              _default: "postgres-secret"
            secretKey: "password"

          - name: DJANGO_BASIC_AUTH
            secretName:
              _default: "django-auth"
            secretKey: "key"

          - name: DJANGO_BASIC_AUTH_FOR_GET_USER
            secretName:
              _default: "django-auth"
            secretKey: "key"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""
